libgimpprint API Reference: print-raw.c File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# src/main/print-raw.c File Reference

`#include <gimp-print/gimp-print.h>`
`#include "gimp-print-internal.h"`
`#include <gimp-print/gimp-print-intl-internal.h>`
`#include <string.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Data Structures
struct | ink_t
struct | raw_printer
## Defines
#define | stp_module_version print_raw_LTX_stp_module_version
#define | stp_module_data print_raw_LTX_stp_module_data
## Typedefs
typedef raw_printer | raw_printer_t
## Functions
stp_parameter_list_t | raw_list_parameters (const stp_vars_t *v)
void | raw_parameters (const stp_vars_t *v, const char *name, stp_parameter_t *description)
void | raw_imageable_area (const stp_vars_t *v, int *left, int *right, int *bottom, int *top)
void | raw_limit (const stp_vars_t *v, int *width, int *height, int *min_width, int *min_height)
void | raw_describe_resolution (const stp_vars_t *v, int *x, int *y)
const char * | raw_describe_output (const stp_vars_t *v)
int | raw_print (const stp_vars_t *v, stp_image_t *image)
int | print_raw_module_init (void)
int | print_raw_module_exit (void)
## Variables
const raw_printer_t | raw_model_capabilities []
const ink_t | inks []
const int | ink_count = sizeof(inks) / sizeof(ink_t)
const stp_parameter_t | the_parameters []
const int | the_parameter_count
const stp_printfuncs_t | print_raw_printfuncs
stp_family_t | print_raw_module_data
stp_module_version_t | stp_module_version = {0, 0}
stp_module_t | stp_module_data

## Define Documentation

#define stp_module_data print_raw_LTX_stp_module_data

| Definition at line 362 of file print-raw.c.

#define stp_module_version print_raw_LTX_stp_module_version

| Definition at line 361 of file print-raw.c.

## Typedef Documentation

typedef struct raw_printer raw_printer_t

## Function Documentation

int print_raw_module_exit | ( | void |  | ) | `[static]`

| Definition at line 354 of file print-raw.c. References print_raw_module_data, stp_family::printer_list, and stp_family_unregister().

int print_raw_module_init | ( | void |  | ) | `[static]`

| Definition at line 347 of file print-raw.c. References print_raw_module_data, stp_family::printer_list, and stp_family_register().

const char* raw_describe_output | ( | const stp_vars_t * | v | ) | `[static]`

| Definition at line 181 of file print-raw.c. References ink_count, ink_t::output_type, stp_get_string_parameter(), and stp_vars_t.

void raw_describe_resolution | ( | const stp_vars_t * | v,
|  | int * | x,
|  | int * | y
| ) | `[static]`

| Definition at line 174 of file print-raw.c. References stp_vars_t.

void raw_imageable_area | ( | const stp_vars_t * | v,
|  | int * | left,
|  | int * | right,
|  | int * | bottom,
|  | int * | top
| ) | `[static]`

| Definition at line 150 of file print-raw.c. References stp_get_page_height(), stp_get_page_width(), and stp_vars_t.

void raw_limit | ( | const stp_vars_t * | v,
|  | int * | width,
|  | int * | height,
|  | int * | min_width,
|  | int * | min_height
| ) | `[static]`

| Definition at line 163 of file print-raw.c. References stp_vars_t.

stp_parameter_list_t raw_list_parameters | ( | const stp_vars_t * | v | ) | `[static]`

| Definition at line 97 of file print-raw.c. References stp_parameter_list_add_param(), stp_parameter_list_create(), stp_parameter_list_t, stp_vars_t, the_parameter_count, and the_parameters.

void raw_parameters | ( | const stp_vars_t * | v,
|  | const char * | name,
|  | stp_parameter_t * | description
| ) | `[static]`

| Definition at line 107 of file print-raw.c. References _, stp_parameter_t::bounds, stp_parameter_t::deflt, ink_count, stp_parameter_t::is_active, stp_param_string_t::name, ink_t::name, stp_parameter_t::p_type, stp_fill_parameter_settings(), STP_PARAMETER_TYPE_INVALID, stp_string_list_add_string(), stp_string_list_create(), stp_string_list_param(), stp_vars_t, the_parameter_count, and the_parameters.

int raw_print | ( | const stp_vars_t * | v,
|  | stp_image_t * | image
| ) | `[static]`

| Definition at line 198 of file print-raw.c. References _, ink_count, raw_printer::output_bits, ink_t::output_channels, raw_model_capabilities, ink_t::rotate_channels, stp_channel_add(), stp_channel_get_input(), stp_channel_reset(), stp_color_get_row(), stp_color_init(), stp_eprintf(), stp_free(), stp_get_model_id(), stp_get_page_height(), stp_get_page_width(), stp_get_string_parameter(), stp_image_conclude(), stp_image_height(), stp_image_t, stp_image_width(), stp_malloc(), stp_prune_inactive_options(), stp_set_float_parameter(), stp_set_string_parameter(), stp_vars_create_copy(), stp_vars_destroy(), stp_vars_t, stp_verify(), and stp_zfwrite().

## Variable Documentation

const int ink_count = sizeof(inks) / sizeof(ink_t)`[static]`

| Definition at line 75 of file print-raw.c. Referenced by raw_describe_output(), raw_parameters(), and raw_print().

const ink_t inks[]`[static]`

| Initial value:
    {
      { "RGB", 3, 0, "RGB" },
      { "CMY", 3, 0, "CMY" },
      { "KCMY", 4, 1, "CMYK" },
      { "KCMY", 4, 0, "KCMY" },
      { "Whitescale", 1, 0, "RGBGray" },
      { "Grayscale", 1, 0, "CMYGray" },
    }
Definition at line 65 of file print-raw.c.

stp_family_t print_raw_module_data`[static]`

| Initial value:
      {
        &print_raw_printfuncs,
        NULL
      }
Definition at line 339 of file print-raw.c. Referenced by print_raw_module_exit(), and print_raw_module_init().

const stp_printfuncs_t print_raw_printfuncs`[static]`

| Initial value:
    {
      raw_list_parameters,
      raw_parameters,
      stp_default_media_size,
      raw_imageable_area,
      raw_limit,
      raw_print,
      raw_describe_resolution,
      raw_describe_output,
      stp_verify_printer_params,
      NULL,
      NULL
    }
Definition at line 321 of file print-raw.c.

const raw_printer_t raw_model_capabilities[]`[static]`

| Initial value:
    {
      {
        16
      },
      {
        8
      },
    }
Definition at line 55 of file print-raw.c. Referenced by raw_print().

stp_module_t stp_module_data

| Initial value:
      {
        "raw",
        VERSION,
        "RAW family driver",
        STP_MODULE_CLASS_FAMILY,
        NULL,
        print_raw_module_init,
        print_raw_module_exit,
        (void *) &print_raw_module_data
      }
Definition at line 366 of file print-raw.c.

stp_module_version_t stp_module_version = {0, 0}

| Definition at line 364 of file print-raw.c.

const int the_parameter_count`[static]`

| Initial value:
    sizeof(the_parameters) / sizeof(const stp_parameter_t)
Definition at line 93 of file print-raw.c. Referenced by raw_list_parameters(), and raw_parameters().

const stp_parameter_t the_parameters[]`[static]`

| Initial value:
    {
      {
        "InkType", N_("Ink Type"), N_("Advanced Printer Setup"),
        N_("Type of ink in the printer"),
        STP_PARAMETER_TYPE_STRING_LIST, STP_PARAMETER_CLASS_FEATURE,
        STP_PARAMETER_LEVEL_BASIC, 1, 1, -1, 1, 0
      },
      {
        "PrintingMode", N_("Printing Mode"), N_("Core Parameter"),
        N_("Printing Output Mode"),
        STP_PARAMETER_TYPE_STRING_LIST, STP_PARAMETER_CLASS_CORE,
        STP_PARAMETER_LEVEL_BASIC, 1, 1, -1, 1, 0
      },
    }
Definition at line 77 of file print-raw.c. Referenced by raw_list_parameters(), and raw_parameters().